Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.codegen
Class EmptySequenceCompiler

    java.lang.Object
      com.saxonica.codegen.ValueCompiler
          com.saxonica.codegen.EmptySequenceCompiler

    public class EmptySequenceCompiler

extends ValueCompiler

Generate Java code to implement an XPath empty sequence

Constructor Summary
`EmptySequenceCompiler()`

Method Summary
`void` | `compilePush(CompilerService compiler, Value value)`
`String` | `compileToCharSequence(CompilerService compiler, Value value)`
`String` | `compileToEffectiveBooleanValue(CompilerService compiler, Value value, ReturnAction result)`
`String` | `compileToItem(CompilerService compiler, AtomicValue value)`
`String` | `compileToIterator(CompilerService compiler, Value value)`
`String` | `toJavaExpression(AtomicValue value, CompilerService compiler)`

Methods inherited from class com.saxonica.codegen.ValueCompiler
`compileToCharSequence, getJavaClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptySequenceCompiler

    public EmptySequenceCompiler()

Method Detail

### compilePush

    public void compilePush(CompilerService compiler,
                            Value value)

  Overrides:
    `compilePush` in class `ValueCompiler`

### compileToItem

    public String compileToItem(CompilerService compiler,
                                AtomicValue value)

  Overrides:
    `compileToItem` in class `ValueCompiler`

### compileToIterator

    public String compileToIterator(CompilerService compiler,
                                    Value value)

  Overrides:
    `compileToIterator` in class `ValueCompiler`

### compileToEffectiveBooleanValue

    public String compileToEffectiveBooleanValue(CompilerService compiler,
                                                 Value value,
                                                 ReturnAction result)

  Overrides:
    `compileToEffectiveBooleanValue` in class `ValueCompiler`

### compileToCharSequence

    public String compileToCharSequence(CompilerService compiler,
                                        Value value)

### toJavaExpression

    public String toJavaExpression(AtomicValue value,
                                   CompilerService compiler)

  Specified by:
    `toJavaExpression` in class `ValueCompiler`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.